Announcement

Collapse
No announcement yet.

NVIDIA Doesn't Expect To Have Linux 5.9 Driver Support For Another Month

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • NVIDIA Doesn't Expect To Have Linux 5.9 Driver Support For Another Month

    Phoronix: NVIDIA Doesn't Expect To Have Linux 5.9 Driver Support For Another Month

    While NVIDIA is usually quite timely in supporting new versions of the Linux kernel and aim to have out a driver by the end of the release candidates for new series, in the case of the recently minted Linux 5.9 kernel it's taking a lot longer...

    http://www.phoronix.com/scan.php?pag...ux-5.9-Delayed

  • #2
    I know the people who actually do write the Nvidia Driver for Linux do awesome work and do a lot to make this driver as performant as possible, so here is a read for their bosses:

    https://www.kernel.org/doc/Documenta...i-nonsense.rst

    Comment


    • #3
      I'm used to the proprietary driver not always working with the latest Linux kernel, but what exactly is wrong with i.e. kernel 5.9.1 and Nvidia driver 455.28? I need to ask, because I have both up and running and didn't notice any issues. It runs X11 with Xfce and I can even start a game using WINE/DXVK, which means Vulkan must be working, too.

      Comment


      • #4
        It's only nvidia_uvm module that has issues with kernel-5.9, the rest work fine.

        [[email protected] ~]$ uname -r
        5.9.0-36.fc34.x86_64
        [[email protected] ~]$ inxi -GS
        System: Host: leigh Kernel: 5.9.0-36.fc34.x86_64 x86_64 bits: 64 Desktop: Cinnamon 4.6.7
        Distro: Fedora release 33 (Thirty Three)
        Graphics: Device-1: NVIDIA GP107 [GeForce GTX 1050 Ti] driver: nvidia v: 455.28
        Display: x11 server: Fedora Project X.org 1.20.9 driver: nvidia unloaded: fbdev,modesetting,nouveau,vesa
        resolution: 3840x2160~60Hz
        OpenGL: renderer: GeForce GTX 1050 Ti/PCIe/SSE2 v: 4.6.0 NVIDIA 455.28
        [[email protected] ~]$ lsmod |grep nvidia
        nvidia_drm 61440 3
        nvidia_modeset 1216512 5 nvidia_drm
        drm_kms_helper 266240 1 nvidia_drm
        nvidia 27705344 201 nvidia_modeset
        drm 626688 6 drm_kms_helper,nvidia_drm
        [[email protected] ~]$
        This only affects cuda and opencl.

        [ 5.448174] nvidia_uvm: module uses symbols from proprietary module nvidia, inheriting taint.
        [ 5.448302] nvidia_uvm: Unknown symbol radix_tree_preloads (err -2)
        [ 5.448320] nvidia_uvm: Unknown symbol set_cpus_allowed_ptr (err -2)
        [ 5.448337] nvidia_uvm: Unknown symbol mmu_notifier_unregister (err -2)
        [ 5.448384] nvidia_uvm: Unknown symbol __mmu_notifier_register (err -2)

        Comment


        • #5
          Code:
          $ uname -a && nvidia-smi
          Linux something 5.9.0 #1 SMP PREEMPT Mon Oct 12 09:40:06 CEST 2020 x86_64 Intel(R) Core(TM) i5-7300HQ CPU @ 2.50GHz GenuineIntel GNU/Linux
          Sat Oct 17 21:05:34 2020
          +-----------------------------------------------------------------------------+
          | NVIDIA-SMI 455.28 Driver Version: 455.28 CUDA Version: 11.1 |
          |-------------------------------+----------------------+----------------------+
          | GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
          | Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
          | | | MIG M. |
          |===============================+================= =====+======================|
          | 0 Quadro M1200 Off | 00000000:01:00.0 On | N/A |
          | N/A 38C P8 N/A / N/A | 261MiB / 4043MiB | 0% Default |
          | | | N/A |
          +-------------------------------+----------------------+----------------------+
          Second the above. I had to forego UVM, ie OpenCL and CUDA.
          Desktop works fine.
          Last edited by milkylainen; 17 October 2020, 03:42 PM.

          Comment


          • #6
            The cuda binaries are frag. The regular user dkms compiles fine. And virtualbox is also toast on 5.9 in case you are into that.

            Comment


            • #7
              the result on relying on closed and GPL violating vendor blobs ;-)

              Comment


              • #8
                I wonder what will be first: RDNA2 support on ROCm or CUDA on 5.9++

                Comment


                • #9
                  Originally posted by ThoreauHD View Post
                  The cuda binaries are frag. The regular user dkms compiles fine. And virtualbox is also toast on 5.9 in case you are into that.
                  $ VBoxManage --version
                  6.1.15r140899
                  $ uname -a
                  Linux something 5.9.0 #1 SMP PREEMPT Mon Oct 12 09:40:06 CEST 2020 x86_64 Intel(R) Core(TM) i5-7300HQ CPU @ 2.50GHz GenuineIntel GNU/Linux

                  Beta works fine here.

                  Comment


                  • #10
                    Originally posted by oleid View Post
                    I wonder what will be first: RDNA2 support on ROCm or CUDA on 5.9++
                    RDNA2? What about RDNA1? There's no support yet!

                    Comment

                    Working...
                    X